<div class="main-container">
  <!-- Toolbar -->
  <mat-toolbar color="primary" class="topbar">
    <button mat-icon-button (click)="snav.toggle()">
      <mat-icon>menu</mat-icon>
    </button>
    {{title}}
    <span fxFlex></span>
    <div fxLayout="row" fxLayoutAlign="start center" class="toolbar-info">
      <div style="padding-left: 4em; float: right;">
        <div style="font-size: small; height: 1em; line-height: 1em;"
             *ngIf="authService.isLoggedIn()">{{authService.getUsername()}}</div>
        <div style="font-size: 0.4em; height: 1em; line-height: 1em;">{{sideTime.toISOString()}}</div>
        <div style="font-size: 0.4em; height: 1em; line-height: 1em;">v{{v.version}}-{{v.hash}}</div>
      </div>
      <div><a [routerLink]="['/home']">
        <img src="assets/glass-symbol.svg" style="height: 3em;" alt="GLASS - eGovPassport DEMO"/>
      </a>
      </div>
    </div>
  </mat-toolbar>
  <!-- END Toolbar -->


  <mat-sidenav-container [autosize]="true">
    <!-- Toggle sidebar -->
    <mat-sidenav #snav
                 id="snav"
                 [mode]="mediaQuery.matches ? 'side' : 'over'"
                 [opened]="mediaQuery.matches"
                 [disableClose]="mediaQuery.matches"
                 [autoFocus]="true"
                 [fixedTopGap]=0
    >
      <!-- Sidebar -->
      <app-sidebar></app-sidebar>
    </mat-sidenav>

    <!-- Main panel -->
    <mat-sidenav-content class="page-wrapper">
      <div class="page-content">
        <router-outlet></router-outlet>
      </div>
    </mat-sidenav-content>
    <!-- END Main panel -->
  </mat-sidenav-container>
</div>
